Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.java.util
Interface Set

All Superinterfaces:
  Collection

All Known Implementing Classes:
  AbstractSet, ArraySet

public interface Set
extends Collection

A Collection that contains no duplicate elements. More formally, Sets contain no pair of elements `e1` and `e2` such that `e1.equals(e2)`, and at most one null element. As implied by its name, this interface models the mathematical set abstraction.

The Set interface places additional stipulations, beyond those inherited from the Collection interface, on the contracts of all constructors and of the add, equals and hashCode methods. Declarations for other inherited methods are also included here for convenience. (The specifications accompanying these declarations have been tailored to Set, but they do not contain any additional stipulations.)

The additional stipulation on constructors is, not surprisingly, that all constructors must create a Set that contain no duplicate elements (as defined above).

Implemented by HashSet, ArraySet.

Since:
  JDK1.2
See Also:
  `Collection`, `List`, `HashSet`, `ArraySet`, `AbstractSet`

Method Summary
`boolean` | `add(java.lang.Object o)` Adds the specified element to this Set if it is not already present (optional operation).
`boolean` | `addAll(Collection c)` Adds all of the elements in the specified Collection to this Set if they're not already present (optional operation).
`void` | `clear()` Removes all of the elements from this Set (optional operation).
`boolean` | `contains(java.lang.Object o)` Returns true if this Set contains the specified element.
`boolean` | `containsAll(Collection c)` Returns true if this Set contains all of the elements of the specified Collection.
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this Set for equality.
`int` | `hashCode()` Returns the hash code value for this Set.
`boolean` | `isEmpty()` Returns true if this Set contains no elements.
`Iterator` | `iterator()` Returns an Iterator over the elements in this Set.
`boolean` | `remove(java.lang.Object o)` Removes the given element from this Set if it is present (optional operation).
`boolean` | `removeAll(Collection c)` Removes from this Set all of its elements that are contained in the specified Collection (optional operation).
`boolean` | `retainAll(Collection c)` Retains only the elements in this Set that are contained in the specified Collection (optional operation).
`int` | `size()` Returns the number of elements in this Set (its cardinality).
`java.lang.Object[]` | `toArray()` Returns an array containing all of the elements in this Set.

Method Detail

### size

    public int size()

  Returns the number of elements in this Set (its cardinality).
  Specified by:
    `size` in interface `Collection`
  Since:
    JDK1.2

### isEmpty

    public boolean isEmpty()

  Returns true if this Set contains no elements.
  Specified by:
    `isEmpty` in interface `Collection`
  Since:
    JDK1.2

### contains

    public boolean contains(java.lang.Object o)

  Returns true if this Set contains the specified element. More formally, returns true if and only if this Set contains an element `e` such that `(o==null ? e==null : o.equals(e))`.
  Specified by:
    `contains` in interface `Collection`
  Parameters:
    `o` - element whose presence in this Collection is to be tested.
  Since:
    JDK1.2

### iterator

    public Iterator iterator()

  Returns an Iterator over the elements in this Set. The elements are returned in no particular order (unless the Set is an instance of some class that provides a guarantee).
  Specified by:
    `iterator` in interface `Collection`
  Since:
    JDK1.2

### toArray

    public java.lang.Object[] toArray()

  Returns an array containing all of the elements in this Set. Obeys the general contract of Collection.toArray.
  Specified by:
    `toArray` in interface `Collection`
  Since:
    JDK1.2

### add

    public boolean add(java.lang.Object o)

  Adds the specified element to this Set if it is not already present (optional operation). More formally, adds the specified element, `o`, to the Set if the Set contains no element `e` such that `(o==null ? e==null : o.equals(e))`. If the Set already contains the specified element, the call leaves the Set unchanged (and returns false). In combination with the restriction on constructors, this ensures that Sets never contain duplicate elements.

  This stipulation should not be construed to imply that Sets must accept all elements; Sets have the option of refusing to add any particular element, including null, and throwing an exception, as described in the specification for Collection.add. Individual Set implementations should clearly document any restrictions on the the elements that they may contain.

  Specified by:
    `add` in interface `Collection`
  Parameters:
    `o` - element to be added to this Set.
  Returns:
    true if the Set did not already contain the specified element.
  Throws:
    `UnsupportedOperationException` - add is not supported by this Set.
    `java.lang.ClassCastException` - class of the specified element prevents it from being added to this Set.
    `java.lang.IllegalArgumentException` - some aspect of this element prevents it from being added to this Set.
  Since:
    JDK1.2

### remove

    public boolean remove(java.lang.Object o)

  Removes the given element from this Set if it is present (optional operation). More formally, removes an element `e` such that `(o==null ? e==null : o.equals(e))`, if the Set contains such an element. Returns true if the Set contained the specified element (or equivalently, if the Set changed as a result of the call). (The Set will not contain the specified element once the call returns.)
  Specified by:
    `remove` in interface `Collection`
  Parameters:
    `o` - object to be removed from this Set, if present.
  Returns:
    true if the Set contained the specified element.
  Throws:
    `UnsupportedOperationException` - remove is not supported by this Set.
  Since:
    JDK1.2

### containsAll

    public boolean containsAll(Collection c)

  Returns true if this Set contains all of the elements of the specified Collection. If the specified Collection is also a Set, this method returns true if it is a subset of this Set.
  Specified by:
    `containsAll` in interface `Collection`
  Since:
    JDK1.2
  See Also:
    `Collection.contains(Object)`

### addAll

    public boolean addAll(Collection c)

  Adds all of the elements in the specified Collection to this Set if they're not already present (optional operation). If the specified Collection is also a Set, this operation effectively modifies this Set so that its value is the union of the two Sets. The behavior of this operation is unspecified if the specified Collection is modified while the operation is in progress.
  Specified by:
    `addAll` in interface `Collection`
  Parameters:
    `c` - elements to be inserted into this Collection.
  Returns:
    true if this Set changed as a result of the call.
  Throws:
    `UnsupportedOperationException` - addAll is not supported by this Set.
    `java.lang.ClassCastException` - class of some element of the specified Collection prevents it from being added to this Set.
    `java.lang.IllegalArgumentException` - some aspect of some element of the specified Collection prevents it from being added to this Set.
  Since:
    JDK1.2
  See Also:
    `add(Object)`

### retainAll

    public boolean retainAll(Collection c)

  Retains only the elements in this Set that are contained in the specified Collection (optional operation). In other words, removes from this Set all of its elements that are not contained in the specified Collection. If the specified Collection is also a Set, this operation effectively modifies this Set so that its value is the intersection of the two Sets.
  Specified by:
    `retainAll` in interface `Collection`
  Parameters:
    `c` - elements to be retained in this Collection.
  Returns:
    true if this Collection changed as a result of the call.
  Throws:
    `UnsupportedOperationException` - retainAll is not supported by this Collection.
  Since:
    JDK1.2
  See Also:
    `remove(Object)`

### removeAll

    public boolean removeAll(Collection c)

  Removes from this Set all of its elements that are contained in the specified Collection (optional operation). If the specified Collection is also a Set, this operation effectively modifies this Set so that its value is the asymmetric set difference of the two Sets.
  Specified by:
    `removeAll` in interface `Collection`
  Parameters:
    `c` - elements to be removed from this Collection.
  Returns:
    true if this Set changed as a result of the call.
  Throws:
    `UnsupportedOperationException` - removeAll is not supported by this Collection.
  Since:
    JDK1.2
  See Also:
    `remove(Object)`

### clear

    public void clear()

  Removes all of the elements from this Set (optional operation). The Set will be empty after this call returns (unless it throws an exception).
  Specified by:
    `clear` in interface `Collection`
  Throws:
    `UnsupportedOperationException` - clear is not supported by this Set.
  Since:
    JDK1.2

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this Set for equality. Returns true if the given object is also a Set, the two Sets have the same size, and every member of the given Set is contained in this Set. This ensures that the equals method works properly across different implementations of the Set interface.
  Specified by:
    `equals` in interface `Collection`
  Parameters:
    `o` - Object to be compared for equality with this Set.
  Returns:
    true if the specified Object is equal to this Set.
  Since:
    JDK1.2

### hashCode

    public int hashCode()

  Returns the hash code value for this Set. The hash code of a Set is defined to be the sum of the hashCodes of the elements in the Set, where the hashcode of a null element is defined to be zero. This ensures that `s1.equals(s2)` implies that `s1.hashCode()==s2.hashCode()` for any two Sets `s1` and `s2`, as required by the general contract of Object.hashCode.
  Specified by:
    `hashCode` in interface `Collection`
  Since:
    JDK1.2
  See Also:
    `Object.hashCode()`, `Object.equals(Object)`, `equals(Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.